<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Biblioteca</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="/bootstrap/bower_components/bootstrap/dist/css/bootstrap.min.css">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="/bootstrap/bower_components/font-awesome/css/font-awesome.min.css">  
  <!-- Theme style -->
  <link rel="stylesheet" href="/bootstrap/dist/css/AdminLTE.min.css">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
       folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="/bootstrap/dist/css/skins/_all-skins.min.css">  

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
</head>
<body class="hold-transition skin-blue sidebar-mini">
<div class="wrapper">

  <header class="main-header">
    <!-- Logo -->
    <a href="#" class="logo">
      <!-- logo for regular state and mobile devices -->
      <span class="logo-lg"><b>Biblioteca</b></span>
    </a>
    <!-- Header Navbar: style can be found in header.less -->
    
  </header>
  <!-- Left side column. contains the logo and sidebar -->
  <aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">
     
      <!-- sidebar menu: : style can be found in sidebar.less -->
      <ul class="sidebar-menu" data-widget="tree">
        
        <li class="treeview">
          <a href="#">
            <i class="fa fa-users"></i> <span>Usuário</span>
            <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
          </a>
          <ul class="treeview-menu">
            <li><a th:href="@{/usuario/todos/}"><i class="fa fa-circle-o"></i> Gerenciar</a></li>
            <li><a th:href="@{/usuario/cadastro/}"><i class="fa fa-circle-o"></i> Criar</a></li>
          </ul>
        </li>
        <li><a th:href="@{/categoria/todos/}"><i class="fa fa-book"></i> <span>Categoria</span></a></li>       
      </ul>

    </section>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Listagem de Livros      
      </h1>   
      <ol class="breadcrumb">
        <li>
        	<form th:action="@{/logout}" method="post">
				<input type="submit" value="Sair" />				
			</form>
		</li>        
      </ol>   
    </section>

    <!-- Main content -->
    <section class="content">
      

      <div class="row">
        <div class="col-xs-12">
          <div class="box">
            <div class="box-header">
				<a class="btn btn-block btn-default" th:href="@{/categoria/{idCategoria}/livros/cadastro(idCategoria=${idCategoria})}">Novo Livro</a>            
            </div>
            
            <!-- /.box-header -->
            <div class="box-body table-responsive no-padding">
            
              <table class="table table-hover">
                <tr>
                  <th>ID</th>
                  <th>Título</th>
                  <th>Autor</th>
                  <th>Editora</th>
                  <th>Páginas</th>
                  <th>Ação</th>
                </tr>
                
                <tr th:each="livro : ${livros}">
                  <td th:text="${livro.id}"></td>
                  <td th:text="${livro.autor}"></td>                 
                  <td th:text="${livro.editora}"></td>
                  <td th:text="${livro.paginas}"></td>
                  <td>
                  	<a class="btn btn-info" th:href="@{/categoria/{idCategoria}/livros/{id}/update(idCategoria=${idCategoria},id=${livro.id})}">Editar</a>
                  	<a class="btn btn-danger" th:href="@{/categoria/{idCategoria}/livros/{id}/delete(idCategoria=${idCategoria},id=${livro.id})}">Excluir</a>                  	
                  </td>
                </tr>                

              </table>
            </div>
            <!-- /.box-body -->
            
            <div class="box-footer">
                <a class="btn btn-secondary" th:href="@{/categoria/todos/}">Voltar</a>
            </div>
            
          </div>
          <!-- /.box -->
        </div>
      </div>    

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  <footer class="main-footer">
    <div class="pull-right hidden-xs">
      <b>Version</b> 1.0.0
    </div>
    <strong>Grupo ADM &copy; 2018</strong> Alexandre Silva, Aníbal TRE, Marcel Marques, Rodrigo Oliveira, Ronaldo Costa, Taironne Matos.
  </footer>

 
  <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

<!-- jQuery 3 -->
<script src="/bootstrap/bower_components/jquery/dist/jquery.min.js"></script>
<!-- AdminLTE App -->
<script src="/bootstrap/dist/js/adminlte.min.js"></script>

</body>
</html>
